Bug 37864 - Add target to generate binary and source compatibility report
Add target to generate binary and source compatibility report
Status: RESOLVED FIXED
Product: Log4j
Classification: Unclassified
Component: Other
unspecified
Other other
: P2 enhancement
: ---
Assigned To: log4j-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-12-11 05:38 UTC by Curt Arnold
Modified: 2007-02-26 15:15 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Curt Arnold 2005-12-11 05:38:11 UTC
CLIRR (http://clirr.sourceforge.net) generates compatibility reports by
comparing two JAR files.  This enhancement adds a "clirr" target which generates
docs/compatibility.html which identifies compatibility errors on the current
HEAD against a specified reference jar.

The current SVN HEAD will cause a NullPointerException in CLIRR with clirr 0.6
which has been reported as
http://sourceforge.net/tracker/index.php?func=detail&aid=1377978&group_id=89627&atid=590799
which contains a workaround if you are interested enough to patch CLIRR.

A sample of the generated document is currently available at
http://people.apache.org/~carnold/compatibility.html.
Comment 1 Curt Arnold 2005-12-20 03:02:07 UTC
Committed on 10 Dec 2005, rev 355902.
Comment 2 Curt Arnold 2007-02-26 15:15:04 UTC
Committed against 1.2 branch in rev 512067.